<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMenusTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_menus', function (Blueprint $table) {
            $table->string('id', 32);
            $table->string('name');
            $table->string('url')->nullable();
            $table->string('mode')->nullable();
            $table->boolean('status')->nullable();
            $table->integer('parent')->nullable();
            $table->integer('urutan')->nullable();
            $table->integer('parentlevel')->nullable();
            $table->integer('level')->nullable();
            $table->string('userid_created', 32)->nullable();
            $table->string('userid_updated', 32)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_menus');
    }
}
